create_text#

ModelerEmit.create_text(text, x_origin=0, y_origin=0, text_size=12, text_angle=0, text_color=0, show_rect=False, x1=0, y1=0, x2=0, y2=0, rect_line_width=0, rect_border_color=0, rect_fill=0, rect_color=0)[source]#

Draw Text.

Parameters:
textstr

Text to display.

x_originfloat, optional

x origin coordinate of the text box. Default value is 0.

y_originfloat, optional

y origin coordinate of the text box . Default value is 0.

text_sizeint, optional

Size of text. Default value is 12.

text_anglefloat, optional

Angle of text. Default value is 0.

text_colorint, optional

The RGB value of the text color. Default value is 0.

show_rectbool, optional

Show rectangle. Default value is False.

x1float, optional

The text rectangle left X value, in meters. Default value is 0.

y1float, optional

The text rectangle upper Y value, in meters. Default value is 0.

x2float, optional

The text rectangle right X value, in meters. Default value is 0.

y2float, optional

The text rectangle lower Y value, in meters. Default value is 0.

rect_line_widthfloat, optional

The width of the rectangle border, in meters. Default value is 0.

rect_border_colorint, optional

The RGB value of the rectangle border color. Default value is 0.

rect_fillint, optional

The rectangle fill pattern id. Available values are: 0 = hollow, 1 = solid, 2 = NEDiagonal, 3 = OrthoCross, 4 = DiagCross, 5 = NWDiagonal, 6 = Horizontal, 7 = Vertical. Default value is 0.

rect_colorint, optional

The RGB value of the rectangle fill color. Default value is 0.

Returns:
str

Unique id of the created object when successful, False when failed.

References

>>> oEditor.CreateText